package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum UserStrategyEnum {

    /**
     * 设备信息
     */
    EQUIPMENT_INFO(1, "设备信息"),
    /**
     * 功能策略
     */
    FUNCTION_STRATEGY(2, "功能策略"),
    /**
     * 配置策略
     */
    CONFIG_STRATEGY(3, "配置策略"),
    /**
     * 合规策略
     */
    COMPLIANCE_STRATEGY(4, "合规策略"),
    /**
     * 应用推送
     */
    APP_PUSH(5, "应用推送"),
    /**
     * 应用策略
     */
    APP_STRATEGY(6, "应用策略"),
    /**
     * 应用卸载
     */
    APP_UNINSTALL(7, "应用卸载"),
    /**
     * 应用安装
     */
    APP_INSTALL(8,"应用安装"),
    /**
     * 文档
     */
    DOCUMENT(9, "文档"),
    /**
     * 猎鹰终端
     */
    GAODE_LIEYING_TERMINAL(10, "猎鹰终端");


    private final Integer strategyType;

    private final String strategyName;


    public static UserStrategyEnum getValue(Integer value) {
        for (UserStrategyEnum userStrategyEnum : values()) {
            if (userStrategyEnum.strategyType.equals(value)) {
                return userStrategyEnum;
            }
        }
        return null;
    }
}
